package com.zksy.system.config;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.zksy.system.basicData.domain.*;
import com.zksy.system.basicData.mapper.*;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.stereotype.Component;

import javax.annotation.PostConstruct;
import java.util.HashMap;
import java.util.Map;

@Component
public class StrMapperMap {
    public Map contianer;
    @PostConstruct
    public void init() {
        this.contianer = setStrMapperMap();
    }
    public Map<String, BaseMapper> setStrMapperMap() {
        Map<String, BaseMapper> map = new HashMap<>();
        map.put("a",crmHighTechZoneEnterprisesMapper);
        map.put("b1",crmOutputValueMapper);
        map.put("b2",crmOutputValueMapper);
        map.put("b3",crmOutputValueMapper);
        map.put("b4",crmOutputValueMapper);
        map.put("b6",crmOutputValueMapper);
        map.put("b7",crmOutputValueMapper);
        map.put("b8",crmOutputValueMapper);
        map.put("b9",crmOutputValueMapper);
        map.put("c1",crmEnterpriseTaxPaymentInfoMapper);
        map.put("c2",crmEnterpriseTaxPaymentInfoMapper);
        map.put("c3",crmEnterpriseTaxPaymentInfoMapper);
        map.put("c4",crmEnterpriseTaxPaymentInfoMapper);
        map.put("c6",crmEnterpriseTaxPaymentInfoMapper);
        map.put("c7",crmEnterpriseTaxPaymentInfoMapper);
        map.put("c8",crmEnterpriseTaxPaymentInfoMapper);
        map.put("c9",crmEnterpriseTaxPaymentInfoMapper);
        map.put("dd",crmChangeRecordInformationMapper);
        map.put("de",crmAdministrativeLicenseMapper);
        map.put("df",crmAdministrativeConfirmationMapper);
        map.put("dg",crmListedCompanyMapper);
        map.put("dh",crmNewEnterpriseRecognitionDetailsMapper);
        map.put("di",crmEnterpriseTechnologyRndSummaryMapper);
        map.put("dj",crmTechnologyEnterprisesMapper);
        map.put("dk",crmCertifiedTechnologyEnterpriseMapper);
        map.put("dl",crmSoftwareCopyrightInformationMapper);
        map.put("dm",crmPatentInformationMapper);
        map.put("dn",crmCreditRedlistInfoMapper);
        map.put("dp",crmEnterpriseTaxClassificationInfoMapper);
        map.put("dq",crmAbnormalTaxInformationMapper);
        map.put("dr",crmEnterpriseSocialSecurityInfoMapper);
        map.put("dr1",crmEnterpriseSocialSecurityInfoMapper);
        map.put("ds",crmEnvironmentalCreditEvaluationNotificationMapper);
        map.put("dt",crmNationalPublicCreditEvaluationInformationMapper);
        map.put("du",crmRatingAgencyInfoMapper);
        map.put("dv",crmEnterpriseCreditRatingMapper);
        map.put("dw1",crmQuarterlyWaterUsageMapper);
        map.put("dw2",crmQuarterlyWaterUsageMapper);
        map.put("dw3",crmQuarterlyWaterUsageMapper);
        map.put("dw4",crmQuarterlyWaterUsageMapper);
        map.put("dw6",crmQuarterlyWaterUsageMapper);
        map.put("dw7",crmQuarterlyWaterUsageMapper);
        map.put("dw8",crmQuarterlyWaterUsageMapper);
        map.put("dw9",crmQuarterlyWaterUsageMapper);
        map.put("dx1",crmQuarterlyElectricityBillMapper);
        map.put("dx2",crmQuarterlyElectricityBillMapper);
        map.put("dx3",crmQuarterlyElectricityBillMapper);
        map.put("dx4",crmQuarterlyElectricityBillMapper);
        map.put("dx6",crmQuarterlyElectricityBillMapper);
        map.put("dx7",crmQuarterlyElectricityBillMapper);
        map.put("dx8",crmQuarterlyElectricityBillMapper);
        map.put("dx9",crmQuarterlyElectricityBillMapper);
        map.put("dy1",crmServiceEnterpriseRevenueMapper);
        map.put("dy2",crmServiceEnterpriseRevenueMapper);
        map.put("dy3",crmServiceEnterpriseRevenueMapper);
        map.put("dy4",crmServiceEnterpriseRevenueMapper);
        map.put("dy6",crmServiceEnterpriseRevenueMapper);
        map.put("dy7",crmServiceEnterpriseRevenueMapper);
        map.put("dy8",crmServiceEnterpriseRevenueMapper);
        map.put("dy9",crmServiceEnterpriseRevenueMapper);
        return map;
    }
    @Autowired
    private CrmHighTechZoneEnterprisesMapper crmHighTechZoneEnterprisesMapper;
    @Autowired
    private CrmOutputValueMapper crmOutputValueMapper;
    @Autowired
    private CrmEnterpriseTaxPaymentInfoMapper crmEnterpriseTaxPaymentInfoMapper;
    @Autowired
    private CrmChangeRecordInformationMapper crmChangeRecordInformationMapper;
    @Autowired
    private CrmAdministrativeLicenseMapper crmAdministrativeLicenseMapper;
    @Autowired
    private CrmAdministrativeConfirmationMapper crmAdministrativeConfirmationMapper;
    @Autowired
    private CrmListedCompanyMapper crmListedCompanyMapper;
    @Autowired
    private CrmNewEnterpriseRecognitionDetailsMapper crmNewEnterpriseRecognitionDetailsMapper;
    @Autowired
    private CrmEnterpriseTechnologyRndSummaryMapper crmEnterpriseTechnologyRndSummaryMapper;
    @Autowired
    private CrmTechnologyEnterprisesMapper crmTechnologyEnterprisesMapper;
    @Autowired
    private CrmCertifiedTechnologyEnterpriseMapper crmCertifiedTechnologyEnterpriseMapper;
    @Autowired
    private CrmSoftwareCopyrightInformationMapper crmSoftwareCopyrightInformationMapper;
    @Autowired
    private CrmPatentInformationMapper crmPatentInformationMapper;
    @Autowired
    private CrmCreditRedlistInfoMapper crmCreditRedlistInfoMapper;
    @Autowired
    private CrmEnterpriseTaxClassificationInfoMapper crmEnterpriseTaxClassificationInfoMapper;
    @Autowired
    private CrmAbnormalTaxInformationMapper crmAbnormalTaxInformationMapper;
    @Autowired
    private CrmEnterpriseSocialSecurityInfoMapper crmEnterpriseSocialSecurityInfoMapper;
    @Autowired
    private CrmEnvironmentalCreditEvaluationNotificationMapper crmEnvironmentalCreditEvaluationNotificationMapper;
    @Autowired
    private CrmNationalPublicCreditEvaluationInformationMapper crmNationalPublicCreditEvaluationInformationMapper;
    @Autowired
    private CrmRatingAgencyInfoMapper crmRatingAgencyInfoMapper;
    @Autowired
    private CrmEnterpriseCreditRatingMapper crmEnterpriseCreditRatingMapper;
    @Autowired
    private CrmQuarterlyWaterUsageMapper crmQuarterlyWaterUsageMapper;
    @Autowired
    private CrmQuarterlyElectricityBillMapper crmQuarterlyElectricityBillMapper;
    @Autowired
    private CrmServiceEnterpriseRevenueMapper crmServiceEnterpriseRevenueMapper;
}
